package com.zd.laboratory.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zd.laboratory.mapper.LabCeditScoreSiteMapper;
import com.zd.laboratory.domain.LabCeditScoreSite;
import com.zd.laboratory.service.ILabCeditScoreSiteService;

/**
 * 信用合格分设置Service业务层处理
 * 
 * @author zd
 * @date 2021-12-13
 */
@Service
public class LabCeditScoreSiteServiceImpl implements ILabCeditScoreSiteService 
{
    @Autowired
    private LabCeditScoreSiteMapper labCeditScoreSiteMapper;

    /**
     * 查询信用合格分设置
     * 
     * @param id 信用合格分设置主键
     * @return 信用合格分设置
     */
    @Override
    public LabCeditScoreSite selectLabCeditScoreSiteById(Long id)
    {
        return labCeditScoreSiteMapper.selectLabCeditScoreSiteById(id);
    }

    /**
     * 查询信用合格分设置列表
     * 
     * @param labCeditScoreSite 信用合格分设置
     * @return 信用合格分设置
     */
    @Override
    public List<LabCeditScoreSite> selectLabCeditScoreSiteList(LabCeditScoreSite labCeditScoreSite)
    {
        return labCeditScoreSiteMapper.selectLabCeditScoreSiteList(labCeditScoreSite);
    }

    /**
     * 新增信用合格分设置
     * 
     * @param labCeditScoreSite 信用合格分设置
     * @return 结果
     */
    @Override
    public int insertLabCeditScoreSite(LabCeditScoreSite labCeditScoreSite)
    {
        return labCeditScoreSiteMapper.insertLabCeditScoreSite(labCeditScoreSite);
    }

    /**
     * 修改信用合格分设置
     * 
     * @param labCeditScoreSite 信用合格分设置
     * @return 结果
     */
    @Override
    public int updateLabCeditScoreSite(LabCeditScoreSite labCeditScoreSite)
    {
        return labCeditScoreSiteMapper.updateLabCeditScoreSite(labCeditScoreSite);
    }

    /**
     * 批量删除信用合格分设置
     * 
     * @param ids 需要删除的信用合格分设置主键
     * @return 结果
     */
    @Override
    public int deleteLabCeditScoreSiteByIds(Long[] ids)
    {
        return labCeditScoreSiteMapper.deleteLabCeditScoreSiteByIds(ids);
    }

    /**
     * 删除信用合格分设置信息
     * 
     * @param id 信用合格分设置主键
     * @return 结果
     */
    @Override
    public int deleteLabCeditScoreSiteById(Long id)
    {
        return labCeditScoreSiteMapper.deleteLabCeditScoreSiteById(id);
    }
}
